<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://deliveryRecordSecondarytBrowse.caption"
        focusComponent="deliveryRecordsTable">
    <data readOnly="true">
        <collection id="deliveryRecordsDc"
                    class="com.company.management.entity.DeliveryRecord">
            <fetchPlan extends="_base">
                <property name="purchaseRecord" fetchPlan="_base">
                    <property name="type" fetchPlan="_base"/>
                </property>
                <property name="status" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="deliveryRecordsDl">
                <query>
                    <![CDATA[select e from DeliveryRecord e
                    where e.purchaseRecord.type.code = :purchaseRecordTypeCode1
                    and e.purchaseRecord.issuanceType.code = :purchaseRecordIssuanceTypeCode1
                    order by e.createdDate desc]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" height="100%" width="100%">
        <tabSheet id="goldTab" width="100%" responsive="true">
            <tab id="goldBar" margin="true" caption="msg://Gold Bar" spacing="true">
                <filter id="filter"
                        dataLoader="deliveryRecordsDl">
                    <properties include=".*"/>
                </filter>
                <table id="deliveryRecordsTable"
                            width="100%"
                            dataContainer="deliveryRecordsDc">
                    <actions>
                        <action id="edit" type="edit"/>
                        <action id="excelExport" type="excelExport" caption="msg://Export"/>
                    </actions>
                    <columns>
                        <column id="purchaseRecord.description" caption="msg://Description"/>
                        <column id="purchaseRecord.po_Num" caption="msg://PO No."/>
                        <column id="purchaseRecord.type" caption="msg://Gold Type"/>
                        <column id="deliveryReceipt" caption="msg://Delivery Receipt No."/>
                        <column id="createdDate" caption="msg://Timestamp"/>
                        <column id="status.name" caption="msg://Status"/>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanel"
                                  alwaysVisible="true">
                        <button id="editBtn" action="deliveryRecordsTable.edit"/>
                        <button id="deliveryRecordsTableExcelExportBtn" action="deliveryRecordsTable.excelExport"/>
                    </buttonsPanel>
                </table>
                <hbox id="lookupActions" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
            <tab id="goldDinar" margin="true" caption="msg://Gold Dinar" spacing="true">
                <filter id="filterGoldDinar"
                        dataLoader="deliveryRecordsDl">
                    <properties include=".*"/>
                </filter>
                <table id="deliveryRecordsTableGoldDinar"
                            width="100%"
                            dataContainer="deliveryRecordsDc">
                    <actions>
                        <action id="edit" type="edit"/>
                        <action id="excelExport" type="excelExport"/>
                    </actions>
                    <columns>
                        <column id="purchaseRecord.description" caption="msg://Description"/>
                        <column id="purchaseRecord.po_Num" caption="msg://PO No."/>
                        <column id="purchaseRecord.type" caption="msg://Gold Type"/>
                        <column id="deliveryReceipt" caption="msg://Delivery Receipt No."/>
                        <column id="createdDate" caption="msg://Timestamp"/>
                        <column id="status.name" caption="msg://Status"/>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanelGoldDianr"
                                  alwaysVisible="true">
                        <button id="editGoldDinarBtn" action="deliveryRecordsTableGoldDinar.edit"/>
                        <button id="deliveryRecordsTableGoldDinarExcelExportBtn"
                                action="deliveryRecordsTableGoldDinar.excelExport"/>
                    </buttonsPanel>
                </table>
                <hbox id="lookupActionsGoldDinar" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
        </tabSheet>
    </layout>
</window>
